PHP资源库地址

发布时间:2017-07-04 13:48:47编辑:丝画阁阅读(343)

中文分词搜索服务器

https://pecl.php.net/package/sphinx


sphinx 1.3.3 与 PHP5.6.9 可以一起配置.


sphinx 1.3.0 与 PHP5.6.9 可以编译成功,但重启PHP服务时,会显示

service php-fpm restart
Gracefully shutting down php-fpm . done
Starting php-fpm [04-Jul-2017 11:33:39] NOTICE: PHP message: PHP Warning:  PHP Startup: sphinx: Unable to initialize module
Module compiled with module API=20090626
PHP    compiled with module API=20131226
These options need to match
 in Unknown on line 0
 done


20131226可通过phpinfo可看,PHP支持的扩展版本.

20090626:sphinx编译支持的php版本.


出现上面错误可以两种方式:

1,php版本提交,降低PHP版本

http://www.php.net/downloads.php

2,sphinx使用高级版本1.3.3










关键字